
QGIS Application - Feature request #22043

Make it possible to change the appearance of the selected geometry in each layer and make visible 

the selected elements in the map composer.

2019-05-10 08:28 AM - Javier Cantos

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 29857

Description

(Sorry for my english)

1 - Make possible to change the appearance of the selected geometry in each layer.

2 - Make possilbe that the selected geometry appears in the map composer, with that custom appearance for each layer.

3 - Make Atlas able to zoom in on the selected geometry.

En español: 

1 - Que sea posible cambiar la apariencia de los elementos seleccionados en cada capa de forma diferente.

2 - Que los elementos seleccionados se muestren con esa apariencia personalizada en el compositor de mapas.

3 - Que se pueda seleccionar en Atlas la posibilidad de que encuadre los elementos seleccionados.

History

#1 - 2019-05-10 06:09 PM - Giovanni Manghi

- Status changed from Open to Feedback

I don't understand the request... it seems that what is asked is already possible... maybe post a mockup of what you mean?

#2 - 2019-05-13 11:28 AM - Javier Cantos

I tried to explain myself here 

https://gis.stackexchange.com/questions/322070/is-it-possible-to-see-the-selected-geometry-in-the-map-composer-and-change-the and I was told that

this can't be done automatically.

You can do it easily in Arcmap, and it would be nice to do it in QGIS (I'm not an advanced user neither).

#3 - 2019-05-13 02:14 PM - Giovanni Manghi

- Category changed from Actions to Map Composer/Printing

Javier Cantos wrote:

I tried to explain myself here 

https://gis.stackexchange.com/questions/322070/is-it-possible-to-see-the-selected-geometry-in-the-map-composer-and-change-the and I was told

that this can't be done automatically.

You can do it easily in Arcmap, and it would be nice to do it in QGIS (I'm not an advanced user neither).

so... if I understand... you may want to make a selection in the map object of the print composer (were "selection" means the same type of operation you
can do in the QGIS main canvas?), and have the selected object change their symbology (once selected), it is that? If you need that for printing some

highlighted feature I'm pretty sure you can do it using the atlas functionality together with the rule based symbology.

#4 - 2019-05-13 02:47 PM - Javier Cantos

- File captura1.png added

- File captura2.png added

- File captura0.png added

I want to make the selection in the main canvas and have it visible in the map composer, with a different symbology than the other objet of the layer (that

may not visible in the map composer, for my purpose). 

I don't want to have to edit the properties of the selected geometry or change any value in the properties form. Just select them, go to the map composer

and have this selected geometry visible with a particular symbology for the layer, and make Atlas zoom over the selected geometries in the differents item

maps made in the page.

It can probably be done, but surely not in an intuitive easy way, like it can be done in Arcmap (attached screenshots of Arcmap doing the same as

requested).

Thanks for your interest anyway.

#5 - 2019-05-13 02:58 PM - Giovanni Manghi

- Status changed from Feedback to Open

It can probably be done, but surely not in an intuitive easy way, like it can be done in Arcmap (attached screenshots of Arcmap doing the same as

requested).

Thanks for your interest anyway.

I'm pretty sure it can be done, if is easier or not compared to AG this I don't know. If you need this functionality exactly as on other software you could

implement it as a plugin, or maybe you could submit a patch to add it as a core functionality.

#6 - 2019-05-14 12:21 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

THe "is_selected" expression function was introduced for this reason -- use a rule-based styling with rules based on is_selected and the styling will carry

through to layouts.
